
body{
    background-color: rgb(230, 232, 235);
    font-family: Arial,sans-serif;
    font-size: 0.9em;
}
/*STYLE - UKŁAD STRONY*/
.customHeaderPanel {
    margin-top: 2%;
    margin-left: 5%;
    margin-right: 5%;
    background-image: linear-gradient(to right, white 50% , #152e52);
}
.customNavigationPanel{
    margin-left: 5%;
    margin-right: 5%;
}
.customBodyPanel {
    align-items: center;
    margin-left: 5%;
    margin-right: 5%;
}
.customSubFooterPanel {
    margin-left: 5%;
    margin-right: 5%;
    text-align: right;
}
.customFooterPanel {
    margin-left: 5%;
    margin-right: 5%;
    background-color: white;
    text-align: right;
}
.customBottomPanel{
    margin-top: 2%;
    margin-left: 5%;
    margin-right: 5%;
}

/*STYLE NA MENU*/
body .ui-panelmenu .ui-panelmenu-content .ui-menuitem-link {
    padding: 0.5rem 1rem;
    transition: none;
}
body .ui-panelmenu h3.ui-panelmenu-header,
body .ui-panelmenu h3.ui-panelmenu-header.ui-state-hover,
body .ui-panelmenu h3.ui-panelmenu-header.ui-state-active,
body .ui-panelmenu h3.ui-panelmenu-header.ui-state-active:hover,
body .ui-panelmenu .ui-panelmenu-panel:first-child .ui-panelmenu-header
{
    background: #152e52;
    color: white;
    border: 3px solid #152e52;
    margin-top: 3px;
}

body .ui-panelmenu .ui-panelmenu-content .ui-menuitem-link:hover,
body .ui-panelmenu .ui-panelmenu-content .ui-menuitem-link:hover .ui-menuitem-text
{
    background: #152e52;
    color: white;
    box-shadow: 0 0 8px #152e52;
}
body .ui-panelmenu .ui-panelmenu-content {
    border-width:0px;
}
body .ui-panelmenu h3.ui-panelmenu-header:focus,
body .ui-panelmenu .ui-panelmenu-panel:first-child .ui-panelmenu-header:focus
{
    border: 3px solid #bdad7d;
}
body .ui-panelmenu .ui-panelmenu-content .ui-menuitem-link .ui-menuitem-text:focus
{
    border: 1px solid #bdad7d;
}

body .ui-panelmenu h3.ui-panelmenu-header .ui-icon.ui-icon-triangle-1-e {
    background: white;
    color:#152e52;
}
body .ui-panelmenu h3.ui-panelmenu-header .ui-icon.ui-icon-triangle-1-s {
    background: white;
    color:#152e52;
}

/*STYLE NA DATAGRID*/
body .ui-datagrid .ui-datagrid-content {
    border: 0px solid #dee2e6;

}
body .ui-datagrid .ui-datagrid-header, body .ui-datagrid .ui-datagrid-footer {
    background: #152e52;
    border: 0px solid #dee2e6;
    color: white;
}


/*STYLE NA PANEL*/
body .ui-panel .ui-panel-titlebar {
    border: 0px solid #dee2e6;
    background: #152e52;
    color: white;
}
body .ui-panel .ui-panel-titlebar a:visited,
body .ui-panel .ui-panel-titlebar a
{
    color: white;
}
body .ui-panel .ui-panel-content {
    border: 0px solid #dee2e6;
}
body .ui-panel .ui-panel-titlebar a:focus {
    border: 1px solid #bdad7d;
}


/*STYLE NA ACCORDION*/
body .ui-accordion .ui-accordion-header.ui-state-active {
    background: #152e52;
    color: white;
}

body .ui-accordion .ui-accordion-header.ui-state-active:hover {
    background: #152e52;
    color: white;
}
body .ui-accordion .ui-accordion-header {
    border: 0px solid #dee2e6;
    background: #152e52;
    color: white;
    margin: 3px;
}
body .ui-accordion .ui-accordion-header.ui-state-hover {
    border: 0px solid #dee2e6;
    background: #152e52;
    color: white;
}
body .ui-accordion .ui-accordion-header:first-child {
    border-top: 0px solid #dee2e6;
}

body .ui-accordion .ui-accordion-content {
    border: 0px solid #dee2e6;
}
body .ui-accordion .ui-accordion-header>.ui-icon.ui-icon-triangle-1-e {
    color:#152e52;
    background: white;
}
body .ui-accordion .ui-accordion-header>.ui-icon.ui-icon-triangle-1-s {
    color:#152e52;
    background: white;
}
body .ui-accordion .ui-accordion-header:focus {
    box-shadow: 0 0 0 0.2em #bdad7d;
}


/*STYLE NA PRZYCISKACH CPI, PKB*/
body .ui-tabs.ui-tabs-top>.ui-tabs-nav li.ui-tabs-header.ui-state-active {
    border-color: #bdad7d;
}
body .ui-tabs .ui-tabs-nav li.ui-tabs-header.ui-state-active a {
    color: #152e52;
}



/*STYLE NA BUTTONS*/
.ui-button.ui-state-default{
    background: none;
    color:#152e52;
    border: 1px solid #152e52;
}
body .ui-button.ui-state-hover {
    background: #152e52;
    color:white;
    text-shadow: none;
    border: 1px solid #152e52;
    box-shadow: none;
}
body .ui-button.ui-state-focus {
    text-shadow: none;
    -webkit-box-shadow: 0 0 8px #152e52;
    -moz-box-shadow: 0 0 5px #152e52;
    box-shadow: 0 0 8px #152e52;
}
body .ui-button.ui-state-default.customQuestionCommandButtonStyleClass,
body .ui-button.ui-state-hover.customQuestionCommandButtonStyleClass{
    background: none;
    color:#152e52;
    border: 1px solid #152e52;
}
.ui-button-text-only .ui-button-text {
    font-weight: bold;
}
body .ui-button.ui-button-flat {
    background: none;
    color:#152e52;
    border: 1px solid #152e52;
}
body .ui-button.ui-button-flat.ui-state-hover {
    background: #152e52;
    color:white;
    border: 1px solid #152e52;
}
body .ui-dialog .ui-dialog-titlebar .ui-dialog-title {
    margin: 0;
    float: none;
    font-size: 1rem;
}


/*STYLE NA POLA INPUT*/
body .ui-inputfield {
    border: 1px solid #152e52;
}
body .ui-inputfield.ui-state-hover {
    border: 1px solid #152e52;
}
body .ui-inputfield.ui-state-focus {
    border-color:#152e52;
    box-shadow: 0 0 8px #152e52 !important;
}

/*STYLE NA POLA SELECT */
.ui-selectonemenu.ui-state-default{
    border: 1px solid #152e52;
}
.ui-selectonemenu.ui-state-default.ui-state-hover{
    -webkit-box-shadow: 0 0 8px #152e52 !important;
    -moz-box-shadow: 0 0 5px #152e52 !important;
    box-shadow: 0 0 8px #152e52 !important;
    border: 1px solid #152e52;
}
.ui-selectonemenu.ui-state-default.ui-state-focus{
    -webkit-box-shadow: 0 0 8px #152e52 !important;
    -moz-box-shadow: 0 0 5px #152e52 !important;
    box-shadow: 0 0 8px #152e52 !important;
    border: 1px solid #152e52;
}
.ui-selectonemenu .ui-selectonemenu-trigger.ui-state-default{
    //background: #152e52;
    background: white;
}
.ui-selectonemenu .ui-selectonemenu-trigger .ui-icon{
    color:white;
    background-color: white;
}
.ui-selectonemenu .ui-inputfield{
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
}


/*STYLE NA ERROR-MESSAGES*/
body .ui-message.ui-message-error .ui-message-error-icon:before, body .ui-message.ui-message-fatal .ui-message-error-icon:before {
    content: none;
}
body .ui-message.ui-message-error, body .ui-message.ui-message-fatal {
    background: white !important;
    border: 0px solid #ef5350;
    border-width: 0 0 0 0px;
    color: #b71c1c;
}

/*STYLE NA TOOLTIP*/
.ui-tooltip {
    border: 1px solid #152e52;
    color: #152e52;
    background: white;
}
.ui-tooltip-text.ui-shadow.ui-corner-all {
    background: white;
    color: #152e52;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
}



@media screen and (min-width: 64.063em) {
    .outputTextAlignedToRightStyleClass{
        float:right;
    }
}



/*STYLE NA DIALOG*/
body .ui-dialog .ui-dialog-titlebar {
    background: rgb(230, 232, 235);
    color: #152e52;
    font-weight: 700;
    border-bottom: 0 none;
    padding: 0.5rem;
}



/*POZOSTAŁE STYLE*/
.ui-panelgrid-content.ui-widget-content{
    border:0;
}
body .ui-widget{
    font-family: inherit;
    font-size: inherit;
}
.ui-widget-content{
    color:inherit;
}


a:link {
    color: #152e52; text-decoration: none;
}
a:visited {
    color: #152e52;
}
a:hover {
    color: #152e52; text-decoration: underline;
}
a:focus {
    outline: 1px solid #bdad7d;
}


a.ui-commandlink,
a.ui-commandlink:link,
a.ui-commandlink:hover,
a.ui-commandlink:visited,
a.ui-commandlink:focus
{
    color: #152e52;
}



/*
DLA AMAKRO
*/
.surveysTableYearDivStyleClass{
    background-color: #bdad7d;
    color: #152e52;
    border-width: 2px;
    border-color: white;
    border-style: solid;
    font-weight: bold;
    text-align: center;
}
.surveysTableQuartelNotEmptyDivStyleClass{
    background-color: #e6e8eb;
    color: #152e52;
    border-width: 2px;
    border-color: white;
    border-style: solid;
    font-weight: bold;
    text-align: center;
}

.surveysTableQuartelNotEmptyDivStyleClass a{
    text-decoration: none !important;
}

.surveysTableQuartelNotEmptyDivStyleClass:hover{
    background-color: #4A74B0;
}

.surveysTableLastQuartelNotEmptyDivStyleClass{
    background-color: #152e52;
}

.surveysTableLastQuartelNotEmptyDivStyleClass a{
    color: white !important;
    text-decoration: none !important;;
}

.surveysTableQuartelEmptyDivStyleClass{
    background-color: #e6e8eb;
    color: #152e52;
    border-width: 2px;
    border-color: white;
    border-style: solid;
    font-weight: bold;
    text-align: center;
}


/*DLA POWIADOMIEN COOKIES*/
#cookies-message-container-id {
    display: none;
    position: fixed;
    bottom: 0;
    left:0;
    width: 100%;
    background-color: white;
    border: 1px solid #152e52;
}
#cookies-message-id {
    padding: 5px 5px;
    text-align: center;
    font-size: inherit;
    width: 100%;
    z-index: 999;
}
.ui-button.accept-cookie-button {
    border-radius: 0px;
    background-color: #152e52;
    color: white;
}
.ui-button.accept-cookie-button.ui-button-text-only .ui-button-text {
    padding: 1px 10px 1px 10px;
}